Storyden
Admin

Audit Event Get

Retrieve a specific audit event by ID.

GET
/admin/audit-events/{audit_event_id}

Retrieve a specific audit event by ID.

Authorization

cookiestoryden-session<token>

Path Parameters

audit_event_id*string

Audit event ID

Formatxid

Response Body

OK

application/json
  1. response
id*Identifier

A unique identifier for this resource.

Formatxid
type*AuditEventType
Value in"thread_deleted""thread_reply_deleted""account_suspended""account_unsuspended""account_content_purged""moderation_note_created""moderation_note_deleted""account_warned""account_warning_updated""account_warning_deleted""account_password_reset_token_issued""account_password_reset_email_sent"
timestamp*string
Formatdate-time
enacted_by?

A minimal reference to an account.

thread_id*Identifier

A unique identifier for this resource.

Formatxid
Example Request
curl -X GET 'https://example.com/api/admin/audit-events/string'
Example Response
{  "id": "string",  "timestamp": "2019-08-24T14:15:22Z",  "enacted_by": {    "id": "string",    "joined": "2019-08-24T14:15:22Z",    "suspended": "2019-08-24T14:15:22Z",    "handle": "string",    "name": "string",    "signature": "string",    "roles": [      {        "badge": true,        "default": true,        "id": "string",        "name": "string",        "colour": "string",        "meta": {}      }    ]  },  "type": "thread_deleted",  "thread_id": "string"}